package org.norgg.hopesington;

import nme.Assets;
import nme.display.DisplayObjectContainer;
import nape.geom.Vec2;

class BadHouse extends Building {
	public static inline var baseWidth = 16;
	public static inline var baseHeight = 15;
	
	public function new(parent: DisplayObjectContainer, pos: Vec2) {
		texture = Assets.getBitmapData("img/bad_house.png");
		super(parent, pos);
		construct(null);
	}
	
	override public function onComplete() {
		if (Main.badHouses.length < 4) {
			Main.m.addBadHouse();
		} else if (Main.temple == null) {
			Main.m.addTemple();
		}
	}
}