package org.norgg.hopesington;

import nme.Assets;
import nme.display.DisplayObjectContainer;
import nape.geom.Vec2;

class GoodHouse extends Building {
	public static inline var baseWidth = 16;
	public static inline var baseHeight = 15;
	
	public function new(parent: DisplayObjectContainer, pos: Vec2) {
		texture = Assets.getBitmapData("img/house.png");
		w = baseWidth;
		h = baseHeight;
		super(parent, pos);
		construct(null);
	}
	
	override public function onComplete() {
		Main.m.addGoodHouse(false);
		Main.npcs.add(new NPC(Main.m, this.body.position));
	}
}